<template>
	<button
		tabindex="0"
		:disabled="disabled"
		:width="mkterritoryWidth"
		:class="[mkterritoryWidth, disabled ? 'bg-grey-20' : 'bg-black' ? 'min-w-90' : 'min-w-150 ']"
		class="bg-white font-primary-font-regular text-black border-grey-40 border p-2 rounded-3xl hover:bg-grey-10 hover:border-grey-20 flex justify-center active:outline-none focus:outline-none focus:ring-1 focus:ring-black"
		@click="!loading ? $emit('click') : ''"
	>
		<svg
			:class="[!loading ? 'hidden' : 'block']"
			xmlns="http://www.w3.org/2000/svg"
			fill="none"
			viewBox="0 0 24 24"
			class="w-5 h-5 animate-spin text-white"
		>
			<circle cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4" class="opacity-25"></circle>
			<path
				fill="currentColor"
				d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
				class="opacity-75"
			></path>
		</svg>
		<span :class="[loading ? 'hidden' : 'block']">{{ buttonTitle }}</span>
	</button>
</template>
<script>
export default {
	name: 'MkTerritoryButton',
	props: {
		buttonTitle: {
			type: String,
			default: '',
		},
		mkterritoryWidth: {
			type: String,
			default: '',
		},
		loading: {
			type: Boolean,
			default: false,
		},
		disabled: {
			type: Boolean,
			default: false,
		},
	},
	data() {
		return {};
	},
};
</script>
